Name:           python-cf-remote
Version:        0.6.8
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tooling to deploy CFEngine (and much more)

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/cfengine/cf-remote
Source:         %{pypi_source cf_remote}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cf-remote' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cf-remote
Summary:        %{summary}

%description -n python3-cf-remote %_description


%prep
%autosetup -p1 -n cf_remote-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cf-remote -f %{pyproject_files}


%changelog
%autochangelog